com.smartgwt.client.types

## Enum ProcessValueType

- java.lang.Object
- - java.lang.Enum<ProcessValueType>
  - - com.smartgwt.client.types.ProcessValueType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ProcessValueType>

      public enum ProcessValueType
      extends java.lang.Enum<ProcessValueType>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY` generic array type - will convert value to an array of the same type as the existing value
    `BOOLEAN` the strings "true" and "false" become boolean true and false.
    `DECIMAL` values are converted via toString() and parsing as a decimal number.
    `INTEGER` values are converted via toString(), parsing as a number, and rounding to nearest integer.
    `RECORD` any input which is not already a Record or Map becomes null
    `STRING` values that are not already strings are converted via toString()

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ProcessValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProcessValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final ProcessValueType STRING

      values that are not already strings are converted via toString()

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "string".

    - #### BOOLEAN

          public static final ProcessValueType BOOLEAN

      the strings "true" and "false" become boolean true and false. All other Strings non-empty String values are true, all numbers are true except 0, and all other non-null values are true

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "boolean".

    - #### DECIMAL

          public static final ProcessValueType DECIMAL

      values are converted via toString() and parsing as a decimal number. Invalid values trigger a transition to the `failureElement`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "decimal".

    - #### INTEGER

          public static final ProcessValueType INTEGER

      values are converted via toString(), parsing as a number, and rounding to nearest integer. Invalid values trigger a transition to the `failureElement`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "integer".

    - #### RECORD

          public static final ProcessValueType RECORD

      any input which is not already a Record or Map becomes null

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "record".

    - #### ARRAY

          public static final ProcessValueType ARRAY

      generic array type - will convert value to an array of the same type as the existing value

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "array".

  - ### Method Detail

    - #### values

          public static ProcessValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessValueType c : ProcessValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessValueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`